Package org.springframework.security.config.annotation.web.configurers

# Class HeadersConfigurer.CrossOriginOpenerPolicyConfig

java.lang.Object
org.springframework.security.config.annotation.web.configurers.HeadersConfigurer.CrossOriginOpenerPolicyConfig

Enclosing class:
  HeadersConfigurer<H extends HttpSecurityBuilder<H>>

public final class HeadersConfigurer.CrossOriginOpenerPolicyConfig extends Object

## Constructor Summary

Constructors
Constructor
Description
`CrossOriginOpenerPolicyConfig()`

## Method Summary

Modifier and Type
Method
Description
`HeadersConfigurer<H>`
`and()`
Deprecated, for removal: This API element is subject to removal in a future version.
For removal in 7.0.
`HeadersConfigurer<H>.CrossOriginOpenerPolicyConfig`
`policy(org.springframework.security.web.header.writers.CrossOriginOpenerPolicyHeaderWriter.CrossOriginOpenerPolicy openerPolicy)`
Sets the policy to be used in the `Cross-Origin-Opener-Policy` header

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CrossOriginOpenerPolicyConfig

public CrossOriginOpenerPolicyConfig()

## Method Details

### policy

public HeadersConfigurer<H>.CrossOriginOpenerPolicyConfig policy(org.springframework.security.web.header.writers.CrossOriginOpenerPolicyHeaderWriter.CrossOriginOpenerPolicy openerPolicy)
Sets the policy to be used in the `Cross-Origin-Opener-Policy` header

Parameters:
  `openerPolicy` - a `Cross-Origin-Opener-Policy`
Returns:
  the `HeadersConfigurer<H extends HttpSecurityBuilder<H>>.CrossOriginOpenerPolicyConfig` for additional configuration
Throws:
  `IllegalArgumentException` - if openerPolicy is null

### and

@Deprecated(since="6.1", forRemoval=true) public HeadersConfigurer<H> and()
Deprecated, for removal: This API element is subject to removal in a future version.
For removal in 7.0. Use `HeadersConfigurer.crossOriginOpenerPolicy(Customizer)` instead
Allows completing configuration of Cross Origin Opener Policy and continuing configuration of headers.

Returns:
  the `HeadersConfigurer` for additional configuration